$(document).ready(function () {


    /*summary chart 선택*/
    $(".chart").on("click", function () {

        let chartNo = $(this).data('container');

        // 초기화
        $(".chart").removeClass('active');
        $("[id^='container']").addClass('hidden');

        // 활성화
        $(this).addClass('active');
        $("#container"+chartNo).removeClass('hidden');

    });

    /*summary chart1 선택*/
    $(".chart1").on("click", function () {

        let chartNo = $(this).data('container');

        // 초기화
        $(".chart1").removeClass('active');
        $("[id^='container1']").addClass('hidden');

        // 활성화
        $(this).addClass('active');
        $("#container1"+chartNo).removeClass('hidden');

    });

    /*summary chart2 선택*/
    $(".chart2").on("click", function () {

        let chartNo = $(this).data('container');

        // 초기화
        $(".chart2").removeClass('active');
        $("[id^='container2']").addClass('hidden');

        // 활성화
        $(this).addClass('active');
        $("#container2"+chartNo).removeClass('hidden');

    });

    /*summary 챠트 전채 변경 선택*/
    $(".chartType").on("click", function () {

        let chartNo = $(this).data('container');

        // 초기화
        $(".chartType").removeClass('active');
        $("[id^='container1']").addClass('hidden');
        $("[id^='container2']").addClass('hidden');

        // 활성화
        $(this).addClass('active');
        $("#container1"+chartNo).removeClass('hidden');
        $("#container2"+chartNo).removeClass('hidden');

    });

});
